Skip to main content
`Ctrl`+`K`

# PetscGaussLobattoLegendreElementLaplacianDestroy

frees the Laplacian for a single 1d GLL element created with `PetscGaussLobattoLegendreElementLaplacianCreate()`

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscGaussLobattoLegendreElementLaplacianDestroy(PetscInt n, PetscReal nodes[], PetscReal weights[], PetscReal ***AA)

Not Collective

## Input Parameters

- n - the number of GLL nodes

- nodes - the GLL nodes, ignored

- weights - the GLL weightss, ignored

- AA - the stiffness element from `PetscGaussLobattoLegendreElementLaplacianCreate()`

## See Also

`PetscDTGaussLobattoLegendreQuadrature()`, `PetscGaussLobattoLegendreElementLaplacianCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dt.c

## Examples

src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/ksp/ksp/tutorials/ex69.c
src/tao/unconstrained/tutorials/burgers_spectral.c
src/ts/tutorials/ex50.c
src/ksp/ksp/tutorials/ex68.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages